Index: trunk/HeuristicLab.DebugEngine/3.3/DebugEngine.cs
===================================================================
--- trunk/HeuristicLab.DebugEngine/3.3/DebugEngine.cs	(revision 16430)
+++ trunk/HeuristicLab.DebugEngine/3.3/DebugEngine.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableType("BC1A9855-D280-4314-A272-CD2120679F12")]
   [Item("Debug Engine", "Engine for debugging algorithms.")]
   public class DebugEngine : Executable, IEngine {
@@ -36,6 +36,5 @@
 
     [StorableConstructor]
-    protected DebugEngine(bool deserializing)
-      : base(deserializing) {
+    protected DebugEngine(StorableConstructorFlag _) : base(_) {
       InitializeTimer();
     }
Index: trunk/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs
===================================================================
--- trunk/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs	(revision 16430)
+++ trunk/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableType("FE481B4B-BA25-4889-AAC7-6C88D852D971")]
   public class ExecutionStack : ObservableList<IOperation>, IContent, IDeepCloneable {
 
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected ExecutionStack(bool deserializing) : base(deserializing) { }
+    protected ExecutionStack(StorableConstructorFlag _) : base(_) { }
     protected ExecutionStack(ExecutionStack original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj
===================================================================
--- trunk/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj	(revision 16430)
+++ trunk/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj	(revision 16565)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.DebugEngine</RootNamespace>
     <AssemblyName>HeuristicLab.DebugEngine-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -89,7 +89,16 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre01\lib\netstandard2.0\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
   </ItemGroup>
   <ItemGroup>
@@ -105,4 +114,5 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
Index: trunk/HeuristicLab.DebugEngine/3.3/OperationChangedEventArgs.cs
===================================================================
--- trunk/HeuristicLab.DebugEngine/3.3/OperationChangedEventArgs.cs	(revision 16430)
+++ trunk/HeuristicLab.DebugEngine/3.3/OperationChangedEventArgs.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.DebugEngine/3.3/OperationContent.cs
===================================================================
--- trunk/HeuristicLab.DebugEngine/3.3/OperationContent.cs	(revision 16430)
+++ trunk/HeuristicLab.DebugEngine/3.3/OperationContent.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs
===================================================================
--- trunk/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs	(revision 16430)
+++ trunk/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableType("F694C6E8-39EC-4705-AB77-D00147A4D542")]
   public class OperatorTrace : ObservableList<IOperator>, IContent, IDeepCloneable {
 
@@ -68,5 +68,5 @@
 
     [StorableConstructor]
-    protected OperatorTrace(bool deserializing) : base(deserializing) { }
+    protected OperatorTrace(StorableConstructorFlag _) : base(_) { }
 
     protected OperatorTrace(OperatorTrace original, Cloner cloner) {
Index: trunk/HeuristicLab.DebugEngine/3.3/Plugin.cs.frame
===================================================================
--- trunk/HeuristicLab.DebugEngine/3.3/Plugin.cs.frame	(revision 16430)
+++ trunk/HeuristicLab.DebugEngine/3.3/Plugin.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.DebugEngine/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- trunk/HeuristicLab.DebugEngine/3.3/Properties/AssemblyInfo.cs.frame	(revision 16430)
+++ trunk/HeuristicLab.DebugEngine/3.3/Properties/AssemblyInfo.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.DebugEngine/3.3/Utils.cs
===================================================================
--- trunk/HeuristicLab.DebugEngine/3.3/Utils.cs	(revision 16430)
+++ trunk/HeuristicLab.DebugEngine/3.3/Utils.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.DebugEngine/3.3/packages.config
===================================================================
--- trunk/HeuristicLab.DebugEngine/3.3/packages.config	(revision 16565)
+++ trunk/HeuristicLab.DebugEngine/3.3/packages.config	(revision 16565)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre01" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
